Xerces-C++: XSFacet Class Reference

# XSFacet Class Reference

Inheritance diagram for XSFacet:

List of all members.

## Public Member Functions
Constructors
| XSFacet (XSSimpleTypeDefinition::FACET facetKind, const XMLCh *const lexicalValue, bool isFixed, XSAnnotation *const annot, XSModel *const xsModel, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| The default constructor.
Destructor
| ~XSFacet ()
XSFacet methods
XSSimpleTypeDefinition::FACET | getFacetKind () const
const XMLCh * | getLexicalFacetValue () const
bool | isFixed () const
| Check whether a facet value is fixed.
XSAnnotation * | getAnnotation () const
## Protected Attributes
XSSimpleTypeDefinition::FACET | fFacetKind
bool | fIsFixed
const XMLCh * | fLexicalValue
XSAnnotation * | fAnnotation

## Constructor & Destructor Documentation

XSFacet::XSFacet | ( | XSSimpleTypeDefinition::FACET | facetKind,
|  | const XMLCh *const | lexicalValue,
|  | bool | isFixed,
|  | XSAnnotation *const | annot,
|  | XSModel *const | xsModel,
|  | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager` |
| ) |  |  |

The default constructor.

Parameters:

  | facetKind |
  | lexicalValue |
  | isFixed |
  | annot |
  | xsModel |
  | manager | The configurable memory manager

XSFacet::~XSFacet | ( |  | ) |

## Member Function Documentation

XSSimpleTypeDefinition::FACET XSFacet::getFacetKind | ( |  | ) | const

Returns:
  An indication as to the facet's type; see `XSSimpleTypeDefinition::FACET`

References fFacetKind.

const XMLCh * XSFacet::getLexicalFacetValue | ( |  | ) | const

Returns:
  Returns a value of a constraining facet.

References fLexicalValue.

bool XSFacet::isFixed | ( |  | ) | const

Check whether a facet value is fixed.

References fIsFixed.

XSAnnotation * XSFacet::getAnnotation | ( |  | ) | const

Returns:
  an annotation

References fAnnotation.

## Member Data Documentation

XSSimpleTypeDefinition::FACET XSFacet::fFacetKind`[protected]`

Referenced by getFacetKind().

bool XSFacet::fIsFixed`[protected]`

Referenced by isFixed().

const XMLCh* XSFacet::fLexicalValue`[protected]`

Referenced by getLexicalFacetValue().

XSAnnotation* XSFacet::fAnnotation`[protected]`

Referenced by getAnnotation().

The documentation for this class was generated from the following file:

- XSFacet.hpp